Bug 1808507 - /lib64/libnettle.so.7 isn't CET enabled
Summary: /lib64/libnettle.so.7 isn't CET enabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nettle
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anderson Sasaki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1802674
TreeView+ depends on / blocked
 
Reported: 2020-02-28 17:01 UTC by H.J. Lu
Modified: 2020-05-15 17:22 UTC (History)
9 users (show)

Fixed In Version: nettle-3.6-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 17:22:22 UTC
Type: Bug


Attachments (Terms of Use)

Description H.J. Lu 2020-02-28 17:01:52 UTC
[hjl@gnu-tgl-1 ~]$ readelf -n /lib64/libnettle.so.7 2>&1 | grep IBT
[hjl@gnu-tgl-1 ~]$

Comment 1 H.J. Lu 2020-03-12 16:53:09 UTC
The CET patch at

https://gitlab.com/cet-software/nettle/-/tree/hjl/cet/master

has been sent to the netttle owner.

Comment 2 Anderson Sasaki 2020-05-15 08:56:44 UTC
The new version in Fedora Rawhide enables CET support:

# rpm -q nettle
nettle-3.6-1.fc33.x86_64
# readelf -n /lib64/libnettle.so.8 2>&1 | grep IBT
      Properties: x86 feature: IBT, SHSTK

Could you please check if this is sufficient?


Note You need to log in before you can comment on or make changes to this bug.